## net.i2p.util
Class EepGetScheduler

    java.lang.Object
      net.i2p.util.EepGetScheduler

All Implemented Interfaces:
  EepGet.StatusListener

Deprecated. unused a webapp version would be nice though

    public class EepGetScheduler

extends java.lang.Object
implements EepGet.StatusListener

Constructor Summary
`EepGetScheduler(I2PAppContext ctx, java.util.List urls, java.util.List localFiles, java.lang.String proxyHost, int proxyPort, EepGet.StatusListener lsnr)` Deprecated.

Method Summary
`void` `attemptFailed(java.lang.String url, long bytesTransferred, long bytesRemaining, int currentAttempt, int numRetries, java.lang.Exception cause)` Deprecated.
`void` `attempting(java.lang.String url)` Deprecated.
`void` `bytesTransferred(long alreadyTransferred, int currentWrite, long bytesTransferred, long bytesRemaining, java.lang.String url)` Deprecated. alreadyTransferred - total of all attempts, not including currentWrite If nonzero on the first call, a partial file of that length was found, _and_ the server supports resume.
`void` `fetch()` Deprecated.
`void` `fetch(boolean shouldBlock)` Deprecated.
`void` `headerReceived(java.lang.String url, int attemptNum, java.lang.String key, java.lang.String val)` Deprecated.
`void` `transferComplete(long alreadyTransferred, long bytesTransferred, long bytesRemaining, java.lang.String url, java.lang.String outputFile, boolean notModified)` Deprecated.
`void` `transferFailed(java.lang.String url, long bytesTransferred, long bytesRemaining, int currentAttempt)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EepGetScheduler

    public EepGetScheduler(I2PAppContext ctx,
                           java.util.List urls,
                           java.util.List localFiles,
                           java.lang.String proxyHost,
                           int proxyPort,
                           EepGet.StatusListener lsnr)

  Deprecated.

Method Detail

### fetch

    public void fetch()

  Deprecated.

### fetch

    public void fetch(boolean shouldBlock)

  Deprecated.

### attemptFailed

    public void attemptFailed(java.lang.String url,
                              long bytesTransferred,
                              long bytesRemaining,
                              int currentAttempt,
                              int numRetries,
                              java.lang.Exception cause)

  Deprecated.
  Specified by:
    `attemptFailed` in interface `EepGet.StatusListener`

### bytesTransferred

    public void bytesTransferred(long alreadyTransferred,
                                 int currentWrite,
                                 long bytesTransferred,
                                 long bytesRemaining,
                                 java.lang.String url)

  Deprecated.
  Description copied from interface: `EepGet.StatusListener`
  alreadyTransferred - total of all attempts, not including currentWrite If nonzero on the first call, a partial file of that length was found, _and_ the server supports resume. If zero on a subsequent call after some bytes are transferred (and presumably after an attemptFailed), the server does _not_ support resume and we had to start over. To track _actual_ transfer if the output file could already exist, the listener should keep its own counter, or subtract the initial alreadyTransferred value. And watch out for alreadyTransferred resetting if a resume failed... currentWrite - since last call to the listener bytesTransferred - includes headers, retries, redirects, discarded partial downloads, ... bytesRemaining - on this attempt only, currentWrite already subtracted - or -1 if chunked encoding or server does not return a length Total length should be == alreadyTransferred + currentWrite + bytesRemaining for all calls

  Specified by:
    `bytesTransferred` in interface `EepGet.StatusListener`

### transferComplete

    public void transferComplete(long alreadyTransferred,
                                 long bytesTransferred,
                                 long bytesRemaining,
                                 java.lang.String url,
                                 java.lang.String outputFile,
                                 boolean notModified)

  Deprecated.
  Specified by:
    `transferComplete` in interface `EepGet.StatusListener`

### transferFailed

    public void transferFailed(java.lang.String url,
                               long bytesTransferred,
                               long bytesRemaining,
                               int currentAttempt)

  Deprecated.
  Specified by:
    `transferFailed` in interface `EepGet.StatusListener`

### attempting

    public void attempting(java.lang.String url)

  Deprecated.
  Specified by:
    `attempting` in interface `EepGet.StatusListener`

### headerReceived

    public void headerReceived(java.lang.String url,
                               int attemptNum,
                               java.lang.String key,
                               java.lang.String val)

  Deprecated.
  Specified by:
    `headerReceived` in interface `EepGet.StatusListener`